Bug 19907 - Email validation on patron add/edit not working
Summary: Email validation on patron add/edit not working
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19908
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-03 09:41 UTC by Katrin Fischer
Modified: 2018-05-22 09:58 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19907: Fix email validation in patron edit form (2.07 KB, patch)
2018-01-03 11:24 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19907: Fix email validation in patron edit form (2.17 KB, patch)
2018-03-30 09:42 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19907: Fix email validation in patron edit form (2.24 KB, patch)
2018-03-30 10:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19907: Fix email validation in patron edit form (2.28 KB, patch)
2018-03-30 11:07 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-01-03 09:41:27 UTC
When entering a new patron or editing an existing one, the email address should be validated while typing. This is a regression to former behaviour.

The validation still works as expected in other places like for library email in administration > libraries.
Comment 1 Josef Moravec 2018-01-03 11:24:17 UTC
Created attachment 70244 [details] [review]
Bug 19907: Fix email validation in patron edit form

Test plan:
0) Confirm that email validation is not working in add/edit patron form
1) Apply the patch
2) Edit/add patron, the e-mail validation should be working now
3) Ensure the password validation is still working (use test plan from
    bug 19908)
Comment 2 Jon Knight 2018-01-03 18:24:07 UTC
Tried to apply the patch to an up-to-date kohadevbox but it fails:

vagrant@kohadevbox:kohaclone(master)$ git fetch
vagrant@kohadevbox:kohaclone(master)$ git rebase origin/master
Current branch master is up to date.
vagrant@kohadevbox:kohaclone(master)$ git checkout -b bug_19907
Switched to a new branch 'bug_19907'
vagrant@kohadevbox:kohaclone(bug_19907)$ git bz apply 19907
Bug 19907 - Email validation on patron add/edit not working

70244 - Bug 19907: Fix email validation in patron edit form

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 19907: Fix email validation in patron edit form
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
Failed to merge in the changes.
Patch failed at 0001 Bug 19907: Fix email validation in patron edit form
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-19907-Fix-email-validation-in-patron-edit-form-LYJrg8.patch
Comment 3 Jon Knight 2018-01-03 18:27:31 UTC
(In reply to Jon Knight from comment #2)
> Tried to apply the patch to an up-to-date kohadevbox but it fails:

Ignore me - I didn't notice the dependency on 19908.  However as that bug currently has an issue with not requiring the second entry of the password, should testing this patch wait until that is fixed?
Comment 4 Marcel de Rooy 2018-03-09 07:13:18 UTC
Depends on a report that is in ASSIGNED
Changing status
Comment 5 Josef Moravec 2018-03-30 09:42:16 UTC
Created attachment 73457 [details] [review]
Bug 19907: Fix email validation in patron edit form

Test plan:
0) Confirm that email validation is not working in add/edit patron form
1) Apply the patch
2) Edit/add patron, the e-mail validation should be working now
3) Ensure the password validation is still working (use test plan from
    bug 19908)
Comment 6 Katrin Fischer 2018-03-30 10:28:20 UTC
Created attachment 73459 [details] [review]
Bug 19907: Fix email validation in patron edit form

Test plan:
0) Confirm that email validation is not working in add/edit patron form
1) Apply the patch
2) Edit/add patron, the e-mail validation should be working now
3) Ensure the password validation is still working (use test plan from
    bug 19908)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Nick Clemens 2018-03-30 11:07:46 UTC
Created attachment 73463 [details] [review]
Bug 19907: Fix email validation in patron edit form

Test plan:
0) Confirm that email validation is not working in add/edit patron form
1) Apply the patch
2) Edit/add patron, the e-mail validation should be working now
3) Ensure the password validation is still working (use test plan from
    bug 19908)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Jonathan Druart 2018-04-02 21:14:57 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 9 Nick Clemens 2018-05-14 21:22:56 UTC
Pushed to stable for 17.11.06

Awesome work all!
Comment 10 Fridolin SOMERS 2018-05-22 09:58:38 UTC
Depending on Bug 19908 not in 17.05.x